/**
 * @author Paul Lödige (Matrikel: 15405036)
 */

package com.ploedige.navdrawertest.ui.slideshow;

import android.util.Log;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentPagerAdapter;
import androidx.fragment.app.FragmentStatePagerAdapter;

import com.ploedige.navdrawertest.ui.slideshow.fragments.SwipeFragment1;
import com.ploedige.navdrawertest.ui.slideshow.fragments.SwipeFragment2;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class TestPagerAdapter extends FragmentStatePagerAdapter {

    private Map<String, Class<? extends Fragment>> fragments = new HashMap();

    public TestPagerAdapter(FragmentManager fm){
        super(fm);
        // add all the Classes for the SwipeView
        fragments.put("Fragment 1", SwipeFragment1.class);
        fragments.put("Fragment 2",SwipeFragment2.class);
    }

    @NonNull
    @Override
    public Fragment getItem(int position) {
        if(position >= fragments.size()){
            Log.v("TestPagerAdapter","Position is outside of Array.");
            return new SwipeFragment1();
        }
        try {
            return (Fragment) fragments.get(fragments.keySet().toArray()[position]).newInstance();
        } catch (Exception e) {
            e.printStackTrace();
            return new SwipeFragment1();
        }
    }

    @Override
    public int getCount() {
        return fragments.size();
    }

    @Override
    public CharSequence getPageTitle(int position){
       return fragments.keySet().toArray()[position].toString();
    }
}
